using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

namespace Mahjong
{
    public class LastHandObject : MonoBehaviour
    {
        [SerializeField] private Image image;
        [SerializeField] private TMP_Text text;
        public void UpdateData(Sprite sprite, LastHandType type)
        {
            image.sprite = sprite;
            text.text = TranslateType(type);
        }

        private string TranslateType(LastHandType type)
        {
            switch(type)
            {
                case LastHandType.Normal:
                    return "";
                case LastHandType.Ron:
                    return "";
                case LastHandType.Youngsang:
                    return "";
                default:
                    return "Error";

            }
        }
    }
}
